function lis=List_BP(energy);
[ve he]=size(energy);
lis=[];
for kk=2:ve
    a=energy{kk};
    [vk hk]=size(a);
    for vv=1:vk
        for hh=1:hk
            lis=[lis ;[kk-1 vv hh a(vv,hh)]];
                
                
                
     end
                end
end
 a=lis(:,4);
 [m,ii]=sort(a,'descend');
 lis=lis(ii,:);